searchNodes=[{"doc":"Pagination library for Ecto Usage Context defmodule Foo.Accounts do import Ecto.Query, warn: false alias Foo.Repo alias Foo.Accounts.User def list_users_with_pagination(page_number, paginate_by) do list_users_query() |&gt; EctoPaginator.paginate(page_number, paginate_by) |&gt; Repo.all() end def count_users() do Repo.aggregate(list_users_query(), :count) end defp list_users_query() do from(User) |&gt; order_by(asc: :inserted_at) end end Controller defmodule FooWeb.UserController do use FooWeb, :controller alias Foo.Accounts alias Foo.Repo @paginate_by 20 def index(conn, %{&quot;page&quot; =&gt; current_page}) do {current_page, _} = Integer.parse(current_page) users = Accounts.list_users_with_pagination(current_page, @paginate_by) paginator = EctoPaginator.paginate_helper(current_page, @paginate_by, Accounts.count_users()) render(conn, &quot;index.html&quot;, users: users, paginator: paginator) end def index(conn, _params), do: index(conn, %{&quot;page&quot; =&gt; &quot;1&quot;}) end Template &lt;%= if @paginator.previous_page_number do %&gt; &lt;a href=&quot;?page=1&quot;&gt;First&lt;/a&gt; &lt;a href=&quot;?page=&lt;%= @paginator.previous_page_number %&gt;&quot;&gt;Previous&lt;/a&gt; &lt;% end %&gt; Page &lt;%= @paginator.current_page_number %&gt; of &lt;%= @paginator.num_pages %&gt;. &lt;%= if @paginator.next_page_number do %&gt; &lt;a href=&quot;?page=&lt;%= @paginator.next_page_number %&gt;&quot;&gt;Next&lt;/a&gt; &lt;a href=&quot;?page=&lt;%= @paginator.num_pages %&gt;&quot;&gt;Last&lt;/a&gt; &lt;% end %&gt;","ref":"EctoPaginator.html","title":"EctoPaginator","type":"module"},{"doc":"Paginate an Ecto.Query by adding offset and limit expressions Example: def list_users_with_pagination(page_number, paginate_by) do from(User) |&gt; EctoPaginator.paginate(page_number, paginate_by) |&gt; Repo.all() end","ref":"EctoPaginator.html#paginate/3","title":"EctoPaginator.paginate/3","type":"function"},{"doc":"Helper function that makes a struct that can be used for building &quot;next&quot; and &quot;previous&quot; links in templates Example: &lt;%= if @paginator.previous_page_number do %&gt; &lt;a href=&quot;?page=1&quot;&gt;First&lt;/a&gt; &lt;a href=&quot;?page=&lt;%= @paginator.previous_page_number %&gt;&quot;&gt;Previous&lt;/a&gt; &lt;% end %&gt; Page &lt;%= @paginator.current_page_number %&gt; of &lt;%= @paginator.num_pages %&gt;. &lt;%= if @paginator.next_page_number do %&gt; &lt;a href=&quot;?page=&lt;%= @paginator.next_page_number %&gt;&quot;&gt;Next&lt;/a&gt; &lt;a href=&quot;?page=&lt;%= @paginator.num_pages %&gt;&quot;&gt;Last&lt;/a&gt; &lt;% end %&gt;","ref":"EctoPaginator.html#paginate_helper/3","title":"EctoPaginator.paginate_helper/3","type":"function"}]